# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

#### Public Classes

* [`nservicebusservicepulse`](#nservicebusservicepulse): Installs and configures Particular's Service Pulse Monitoring Tool.

#### Private Classes

* `nservicebusservicepulse::config`: This class handles the configuration of servicepulse.
* `nservicebusservicepulse::install`: This class handles the management of the servicepulse installer and package.
* `nservicebusservicepulse::params`: This class handles the default parameters servicepulse class.
* `nservicebusservicepulse::service`: This class handles the service configuration of servicepulse.

## Classes

### <a name="nservicebusservicepulse"></a>`nservicebusservicepulse`

Installs and configures Particular's Service Pulse Monitoring Tool.

#### Parameters

The following parameters are available in the `nservicebusservicepulse` class:

* [`package_ensure`](#-nservicebusservicepulse--package_ensure)
* [`package_manage`](#-nservicebusservicepulse--package_manage)
* [`package_source`](#-nservicebusservicepulse--package_source)
* [`package_provider`](#-nservicebusservicepulse--package_provider)
* [`service_manage`](#-nservicebusservicepulse--service_manage)
* [`service_ensure`](#-nservicebusservicepulse--service_ensure)
* [`service_enable`](#-nservicebusservicepulse--service_enable)
* [`port`](#-nservicebusservicepulse--port)
* [`service_control_url`](#-nservicebusservicepulse--service_control_url)
* [`monitoring_url`](#-nservicebusservicepulse--monitoring_url)
* [`show_pending_retry`](#-nservicebusservicepulse--show_pending_retry)

##### <a name="-nservicebusservicepulse--package_ensure"></a>`package_ensure`

Data type: `String`

Whether to install the ServicePulse package.

Default value: `$nservicebusservicepulse::params::package_ensure`

##### <a name="-nservicebusservicepulse--package_manage"></a>`package_manage`

Data type: `Boolean`

Whether to manage the ServicePulse package.

Default value: `$nservicebusservicepulse::params::package_manage`

##### <a name="-nservicebusservicepulse--package_source"></a>`package_source`

Data type: `Optional[String]`

Where to find the package file.

Default value: `$nservicebusservicepulse::params::package_source`

##### <a name="-nservicebusservicepulse--package_provider"></a>`package_provider`

Data type: `String`

The package provider that should be used.

Default value: `$nservicebusservicepulse::params::package_provider`

##### <a name="-nservicebusservicepulse--service_manage"></a>`service_manage`

Data type: `Boolean`

Specifies whether or not to manage the desired state of the windows service.

Default value: `$nservicebusservicepulse::params::service_manage`

##### <a name="-nservicebusservicepulse--service_ensure"></a>`service_ensure`

Data type: `Enum['running', 'stopped']`

Specifies the state of the service.

Default value: `$nservicebusservicepulse::params::service_ensure`

##### <a name="-nservicebusservicepulse--service_enable"></a>`service_enable`

Data type: `Variant[Boolean, Enum['manual']]`

Whether to enable the service.

Default value: `$nservicebusservicepulse::params::service_enable`

##### <a name="-nservicebusservicepulse--port"></a>`port`

Data type: `Stdlib::Port`

Specify the port number to listen on. 9090 is recommended if no conflicts exist.

Default value: `$nservicebusservicepulse::params::port`

##### <a name="-nservicebusservicepulse--service_control_url"></a>`service_control_url`

Data type: `Stdlib::Httpurl`

Specify the url for the servicecontrol instance api.

Default value: `$nservicebusservicepulse::params::service_control_url`

##### <a name="-nservicebusservicepulse--monitoring_url"></a>`monitoring_url`

Data type: `Stdlib::Httpurl`

Specify the url for the servicecontrol monitoring instance api.

Default value: `$nservicebusservicepulse::params::monitoring_url`

##### <a name="-nservicebusservicepulse--show_pending_retry"></a>`show_pending_retry`

Data type: `Boolean`

Whether to show retries that are currently in pending in servicepulse.

Default value: `$nservicebusservicepulse::params::show_pending_retry`

